Use this endpoint to cancel a payment plan. Any existing payment plan must be canceled prior to creating a new payment plan. After canceling a payment plan, Peach's system will revert the loan schedule (from the current period onwards) to the previous recurring payment amount and frequency prior to creating the payment plan.
As a result of cancellation, the loan duration and loan end date will be adjusted to match with the last non-zero expected payment, if required.
The cancellation reason:
canceledByUser - payment plan was canceled by an agent or borrower.
loanTermsChanged - loan terms changed.
loanChargedOff - loan was charged off.
loanAccelerated - loan was accelerated.
otherPaymentPlanOffered - another payment plan was offered.
other - for any other reason requiring cancellation.
The reason for payment plan cancellation. This is typically entered by an agent canceling a payment plan via the front end.
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X POST \
'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/custom-payment-plans/{paymentPlanId}/cancel' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"cancellationReason": "canceledByUser",
"caseId": "string",
"reasonDetails": "string",
"sendNotice": false
}'